#ifndef LINEARLIST_H_
#define LINEARLIST_H_


//
// Include the C standard library header file here
//

#include <stdio.h>


//
// Other header files are included here
//




//
// Define the data structure here
//

#define MAX_LENGTH 20	// The maximum length of a linear table

typedef int ElemType;	// The types of elements in a linear table

typedef struct {
	ElemType Elements[MAX_LENGTH];	// An array is used to store elements in a linear table whose maximum length is the length of the array.
	int nLength;					// The actual length of the linear table, the number of elements in the linear table.
}SqList;


//
// Declare the function here
//

int InsertAfter(SqList* pList, ElemType Elem, int i);


#endif /* LINEARLIST_H_ */
